{
	"format_version": "1.8.0",
	"animations": {
		"animation.sg_vtng.flywheel.on": {
			"loop": true,
			"override_previous_animation": true,
			"bones": {
				"flywheel": {
					"rotation": ["-math.sin((q.life_time * 6) * v.rpm) * 28 ", 0, 0],
					"position": [0, "math.sin((q.life_time * 6) * v.rpm) * 4", "4 + math.cos((q.life_time * 6) * v.rpm) * 4"]
				},
				"rotation": {
					"rotation": ["v.cardinalRotation == 'down' ? 90 : v.cardinalRotation == 'up' ? -90 : 0", "v.cardinalRotation == 'north' ? 180 : v.cardinalRotation == 'east' ? -90 : v.cardinalRotation == 'west' ? 90 : 0", 0],
					"position": [0, -8.125, 0]
				}
			}
		}
	}
}